libcwd: The C++ Debugging Support Library - Reference Manual
Author: Carlo Wood
Description: C++ debugging support library with ostream debug output
Keywords: libcwd, debug output, debug facility, debug channel, object orientation, OO, C++, nested debug output, ostream, memory allocation, debugging, source file and line number

Main Page Reference Manual Namespace List Compound List Namespace Members Compound Members File Members

# Invisible Allocations
[Overview Of Allocated Memory]

Collaboration diagram for Invisible Allocations:

## Functions
void | libcwd::make_invisible (void const *void_ptr)
| Make allocation pointed to by ptr invisible.The allocation pointed to by ptr is made invisible; it won't show up anymore in the overview of allocated memory.
void | libcwd::make_all_allocations_invisible_except (void const *ptr)
| Make all current allocations invisible except the given pointer.All allocations, except the given pointer, are made invisible; they won't show up anymore in the overview of allocated memory.

## Detailed Description

Allocated memory blocks can be made invisible: They won't show up in the overview of allocated memory anymore. Even more, the corresponding alloc_ct is destroyed: find_alloc will not find them anymore. There is no other effect, test_delete will still work and they still can be deleted in the normal way.

## Function Documentation

void libcwd::make_all_allocations_invisible_except | ( | void const * | ptr | ) | `[inline]`

Make all current allocations invisible except the given pointer.All allocations, except the given pointer, are made invisible; they won't show up anymore in the overview of allocated memory.

If you want to make all allocations invisible, just pass `NULL` as parameter.

See also:
  Invisible Allocations
  Overview Of Allocated Memory

Example:

     Debug( make_all_allocations_invisible_except(NULL) );

void libcwd::make_invisible | ( | void const * | void_ptr | ) | `[inline]`

Make allocation pointed to by ptr invisible.The allocation pointed to by ptr is made invisible; it won't show up anymore in the overview of allocated memory.

See also:
  Invisible Allocations
  Overview Of Allocated Memory

Example:

     Debug( make_invisible(p) );